Denys Vlasenko d4dd48f294 shell: add testsuite for "wait $pid" waiting for other tasks 3 years ago
..
and-or.right 715f712d15 move hush-parsing/and-or.tests to hush-misc/* 15 years ago
and-or.tests 715f712d15 move hush-parsing/and-or.tests to hush-misc/* 15 years ago
assignment1.right 2b576b8e76 hush: fix mishandling of a'b'c=fff as assignments. They are not. 16 years ago
assignment1.tests 2b576b8e76 hush: fix mishandling of a'b'c=fff as assignments. They are not. 16 years ago
assignment2.right 9793fc576a hush testsuite: fix another false positive 7 years ago
assignment2.tests 9793fc576a hush testsuite: fix another false positive 7 years ago
assignment3.right 7b4c0fd5f4 hush: fix improper handling of newline and hash chars in few corner cases 13 years ago
assignment3.tests 7b4c0fd5f4 hush: fix improper handling of newline and hash chars in few corner cases 13 years ago
assignment4.right 29f9b7268a hush: fix misparsing of "... do eval a= ...". Closes 3721 13 years ago
assignment4.tests 29f9b7268a hush: fix misparsing of "... do eval a= ...". Closes 3721 13 years ago
assignment5.right 5fa0505f8a hush: fix "set -e; false || x=1; echo OK" 6 years ago
assignment5.tests 5fa0505f8a hush: fix "set -e; false || x=1; echo OK" 6 years ago
break1.right 6a2d40f239 hush: support "break N" and "continue N" 16 years ago
break1.tests ba2dcccd79 *: trailing empty lines removed 14 years ago
break2.right 6a2d40f239 hush: support "break N" and "continue N" 16 years ago
break2.tests 6a2d40f239 hush: support "break N" and "continue N" 16 years ago
break3.right 6a2d40f239 hush: support "break N" and "continue N" 16 years ago
break3.tests 6a2d40f239 hush: support "break N" and "continue N" 16 years ago
break4.right 918a34b9e0 hush: fix "while false; ..." exitcode; add testsuites 16 years ago
break4.tests 918a34b9e0 hush: fix "while false; ..." exitcode; add testsuites 16 years ago
break5.right fcf37c3183 hush: fix break'ing out of {} and () groups; with testcase 16 years ago
break5.tests fcf37c3183 hush: fix break'ing out of {} and () groups; with testcase 16 years ago
builtin1.right dadfb4975b hush: add #defines to switch off break/continue if loops are not supported 16 years ago
builtin1.tests dadfb4975b hush: add #defines to switch off break/continue if loops are not supported 16 years ago
case1.right e9bda90e54 hush: fix problems with case in subshells and with "case esac" 15 years ago
case1.tests e9bda90e54 hush: fix problems with case in subshells and with "case esac" 15 years ago
colon.right dd316dd283 hush: add support for ':'; create testsuite entries 16 years ago
colon.tests f8d01d3f66 hush: fix a bug where we were requiring semicolon here: (cmd;) 16 years ago
command2.right 6606c519ef hush: add command2.tests from ash tests 6 years ago
command2.tests 6606c519ef hush: add command2.tests from ash tests 6 years ago
compound.right 342a63d659 hush_test: add some pathological compound list tests 15 years ago
compound.tests 4f26c97b9a make compound.tests executable 15 years ago
continue1.right 4554b721ad hush: small fix for repeated continue and fix for wrong loop depth count 16 years ago
continue1.tests 4554b721ad hush: small fix for repeated continue and fix for wrong loop depth count 16 years ago
continue2.right cd418a2670 hush: fix a bunch of obscure while/until/continue bugs 15 years ago
continue2.tests 4ed67dd3d5 make hush-misc/*.tests executable 15 years ago
continue3.right cd418a2670 hush: fix a bunch of obscure while/until/continue bugs 15 years ago
continue3.tests 4ed67dd3d5 make hush-misc/*.tests executable 15 years ago
control_char1.right 9809a82b59 hush: fix raw ^C handlisg in single-quoted strings 6 years ago
control_char1.tests 9809a82b59 hush: fix raw ^C handlisg in single-quoted strings 6 years ago
control_char2.right 1f1911239c hush: fix handling of ^C in eval 6 years ago
control_char2.tests 1f1911239c hush: fix handling of ^C in eval 6 years ago
echo_write_error.right 8ee2adab21 echo: do not retry on write errors 13 years ago
echo_write_error.tests 8ee2adab21 echo: do not retry on write errors 13 years ago
empty_args.right f37eb3999b hush: fix handling of empty arguments 14 years ago
empty_args.tests f37eb3999b hush: fix handling of empty arguments 14 years ago
empty_for.right 6eaf8deddd hush: fix "for a in; do echo 'I should never run'; done" bug 16 years ago
empty_for.tests 6eaf8deddd hush: fix "for a in; do echo 'I should never run'; done" bug 16 years ago
empty_for1.right a5db1d7354 hush: fix another case where empty "for" wasn't setting exitcode to 0 5 years ago
empty_for1.tests a5db1d7354 hush: fix another case where empty "for" wasn't setting exitcode to 0 5 years ago
empty_for2.right ff182a3d68 hush: support "for v; do ... done" syntax (implied 'in "$@"') 16 years ago
empty_for2.tests ff182a3d68 hush: support "for v; do ... done" syntax (implied 'in "$@"') 16 years ago
env_and_func.right cb6ff25afe hush: fix bug where in "var=val func" var's value is not visible in func 15 years ago
env_and_func.tests 9abf53beb4 ash: eval: Variable assignments on functions are no longer persistent 5 years ago
errexit1.right 9fda609a60 hush: add support for "set -e" 6 years ago
errexit1.tests 9fda609a60 hush: add support for "set -e" 6 years ago
eval1.right 928e2a7ef4 ash: [EVAL] Make eval with empty arguments return 0 7 years ago
eval1.tests 928e2a7ef4 ash: [EVAL] Make eval with empty arguments return 0 7 years ago
eval2.right 78c9c736ab hush: fix 'eval ""' handling 7 years ago
eval2.tests 78c9c736ab hush: fix 'eval ""' handling 7 years ago
exec.right 3c7167b508 add tests for basic fd open/close/dupe 15 years ago
exec.tests 6c9be7f451 hush: heredoc support, based on patch by Mike Frysinger (vapier AT gentoo.org) 15 years ago
exit1.right efea9d2819 hush: fix EXIT trap recursion case; check redirection failures 15 years ago
exit1.tests efea9d2819 hush: fix EXIT trap recursion case; check redirection failures 15 years ago
exitcode1.right eb17b6f6c9 ash: eval: Return status in eval functions 7 years ago
exitcode1.tests eb17b6f6c9 ash: eval: Return status in eval functions 7 years ago
exitcode2.right ea7d2f6ec0 ash: fix error code regression 7 years ago
exitcode2.tests ea7d2f6ec0 ash: fix error code regression 7 years ago
exitcode_EACCES.right c775f829db sh testsuite: add tests for exitcode on failure to exec 7 years ago
exitcode_EACCES.tests c775f829db sh testsuite: add tests for exitcode on failure to exec 7 years ago
exitcode_ENOENT.right c775f829db sh testsuite: add tests for exitcode on failure to exec 7 years ago
exitcode_ENOENT.tests c775f829db sh testsuite: add tests for exitcode on failure to exec 7 years ago
exitcode_trap2.right c91950f315 ash,hush: testcase for "exit" without arguments in a trap 4 years ago
exitcode_trap2.tests 9aa751b08a shells: fix exitcode_trapN tests to avoid races 4 years ago
exitcode_trap3.right bb095f4838 hush: implement "return NUM in trap sets $? after trap" 4 years ago
exitcode_trap3.tests bb095f4838 hush: implement "return NUM in trap sets $? after trap" 4 years ago
exitcode_trap4.right bb095f4838 hush: implement "return NUM in trap sets $? after trap" 4 years ago
exitcode_trap4.tests bb095f4838 hush: implement "return NUM in trap sets $? after trap" 4 years ago
exitcode_trap5.right bb095f4838 hush: implement "return NUM in trap sets $? after trap" 4 years ago
exitcode_trap5.tests bb095f4838 hush: implement "return NUM in trap sets $? after trap" 4 years ago
exitcode_trap6.right 3ced804e31 hush: make "exit" in trap use pre-trap exitcode - fix for nested trap 4 years ago
exitcode_trap6.tests 9aa751b08a shells: fix exitcode_trapN tests to avoid races 4 years ago
export-n.right ad4bd0548a hush: export -n support 15 years ago
export-n.tests ad4bd0548a hush: export -n support 15 years ago
export.right bf25fbccb9 hush: fix handling of } which is not a closing one in { cmd; } 15 years ago
export.tests 0b677d8337 hush: fix some TODOs. TODO in export builting: +250 bytes. 15 years ago
export1.right 63d765e666 shells: add tests for backslashes in export VAR=VAL 5 years ago
export1.tests 63d765e666 shells: add tests for backslashes in export VAR=VAL 5 years ago
for.right 112889d706 hush: copy for.tests from ash testsuite 8 years ago
for.tests 112889d706 hush: copy for.tests from ash testsuite 8 years ago
for_with_bslashes.right 9809a82b59 hush: fix raw ^C handlisg in single-quoted strings 6 years ago
for_with_bslashes.tests 9809a82b59 hush: fix raw ^C handlisg in single-quoted strings 6 years ago
for_with_keywords.right 733e3fbc2f hush: support "for if in do done then; do echo $if; done" case 16 years ago
for_with_keywords.tests 733e3fbc2f hush: support "for if in do done then; do echo $if; done" case 16 years ago
func1.right ce4acbbab6 hush: add function tests 15 years ago
func1.tests ce4acbbab6 hush: add function tests 15 years ago
func2.right ce4acbbab6 hush: add function tests 15 years ago
func2.tests ce4acbbab6 hush: add function tests 15 years ago
func3.right 3d40d8e655 hush: return builtin by Bayram Kurumahmut (kbayram AT ubicom.com) 15 years ago
func3.tests 3d40d8e655 hush: return builtin by Bayram Kurumahmut (kbayram AT ubicom.com) 15 years ago
func4.right 572930027d hush: nommu fix for function passing 15 years ago
func4.tests 3581c62515 whitespace fixes 14 years ago
func5.right 12bcc76e9b hush_test: test for subshell function syntax 15 years ago
func5.tests fbf44854a3 hush: support "f() (cmd)" functions 6 years ago
func_args1.right d40fa397e4 hush: add two testcases 15 years ago
func_args1.tests bc9bee01f3 hush-misc/func_args1.tests: remove "UNFIXED BUG", it does not fail 8 years ago
func_local1.right 295fef80bc hush: add support for local builtin 15 years ago
func_local1.tests 295fef80bc hush: add support for local builtin 15 years ago
func_local2.right 295fef80bc hush: add support for local builtin 15 years ago
func_local2.tests 295fef80bc hush: add support for local builtin 15 years ago
func_prio_over_builtins.right 75481d3634 hush: functions have priority over builtins (!) 6 years ago
func_prio_over_builtins.tests 75481d3634 hush: functions have priority over builtins (!) 6 years ago
func_return1.right 5b3d2eb327 hush: fix "true | func_with_return" not allowing return. 6 years ago
func_return1.tests 5b3d2eb327 hush: fix "true | func_with_return" not allowing return. 6 years ago
func_return2.right 5b3d2eb327 hush: fix "true | func_with_return" not allowing return. 6 years ago
func_return2.tests 5b3d2eb327 hush: fix "true | func_with_return" not allowing return. 6 years ago
group_in_braces.right 672a55e606 hush: allow { cmd } to not be terminated by semicolon in some cases 7 years ago
group_in_braces.tests 672a55e606 hush: allow { cmd } to not be terminated by semicolon in some cases 7 years ago
if_false_exitcode.right 0e15138c03 hush: fix "if false; then...fi" exitcode; 15 years ago
if_false_exitcode.tests 0e15138c03 hush: fix "if false; then...fi" exitcode; 15 years ago
last_amp.right 5d6b8729ed hush testsuite: add many tests from ash testsuite 7 years ago
last_amp.tests 5d6b8729ed hush testsuite: add many tests from ash testsuite 7 years ago
local1.right 5d6b8729ed hush testsuite: add many tests from ash testsuite 7 years ago
local1.tests 5d6b8729ed hush testsuite: add many tests from ash testsuite 7 years ago
nommu1.right cbfe6ad4c6 hush: fix \<newline> handling on NOMMU 15 years ago
nommu1.tests cbfe6ad4c6 hush: fix \<newline> handling on NOMMU 15 years ago
nommu2.right b70cef71eb hush: two NOMMU fixes for bugs 877 and 883 14 years ago
nommu2.tests b70cef71eb hush: two NOMMU fixes for bugs 877 and 883 14 years ago
nommu3.right b5be13ccd9 hush: fix a nommu bug where a part of function body is lost if run in a pipe 8 years ago
nommu3.tests 450a367a11 typo fix 8 years ago
nulltick1.right 5d6b8729ed hush testsuite: add many tests from ash testsuite 7 years ago
nulltick1.tests 5d6b8729ed hush testsuite: add many tests from ash testsuite 7 years ago
opts1.right a67a9627d0 hush: do not process options after non-option args 15 years ago
opts1.tests a67a9627d0 hush: do not process options after non-option args 15 years ago
pid.right 16c2fea280 hush: fix $$ handling 16 years ago
pid.tests 16c2fea280 hush: fix $$ handling 16 years ago
pipefail.right 6696eac274 hush: add support for "set -o pipefail" 13 years ago
pipefail.tests 6696eac274 hush: add support for "set -o pipefail" 13 years ago
read.right d67cef2425 hush: fix read builtin to not read ahead past eol and to not use 17 years ago
read.tests d67cef2425 hush: fix read builtin to not read ahead past eol and to not use 17 years ago
return1.right 68d5cb5dac hush: fix a case where return in sourced file has no effect 13 years ago
return1.tests 68d5cb5dac hush: fix a case where return in sourced file has no effect 13 years ago
shift.right cd7f4d27a2 hush: improve 2 testsuite tests 17 years ago
shift.tests cd7f4d27a2 hush: improve 2 testsuite tests 17 years ago
shift1.right e59591a364 hush: Print error messages on shift -1 7 years ago
shift1.tests e59591a364 hush: Print error messages on shift -1 7 years ago
sig_exitcode.right a4899efd03 hush: fix exitcodes of killed processes 14 years ago
sig_exitcode.tests a4899efd03 hush: fix exitcodes of killed processes 14 years ago
source1.right c7a774dde4 sh testsuite: sync ash-misc/source* and hush-misc/source* 7 years ago
source1.tests c7a774dde4 sh testsuite: sync ash-misc/source* and hush-misc/source* 7 years ago
source2.right c7a774dde4 sh testsuite: sync ash-misc/source* and hush-misc/source* 7 years ago
source2.tests c7a774dde4 sh testsuite: sync ash-misc/source* and hush-misc/source* 7 years ago
source3.right 992e0ff7e9 hush: fix ". EMPTY_LINE" not setting $? to 0 7 years ago
source3.tests 992e0ff7e9 hush: fix ". EMPTY_LINE" not setting $? to 0 7 years ago
source4.right c7a774dde4 sh testsuite: sync ash-misc/source* and hush-misc/source* 7 years ago
source4.tests c7a774dde4 sh testsuite: sync ash-misc/source* and hush-misc/source* 7 years ago
source5.right c7a774dde4 sh testsuite: sync ash-misc/source* and hush-misc/source* 7 years ago
source5.tests c7a774dde4 sh testsuite: sync ash-misc/source* and hush-misc/source* 7 years ago
source_argv_and_shift.right 2b1559056c hush: fix a bug in argv restoration after sourcing a file 7 years ago
source_argv_and_shift.tests 2b1559056c hush: fix a bug in argv restoration after sourcing a file 7 years ago
syntax_err.right db2a9b683a hush: finally make `cmd` safe on NOMMU 15 years ago
syntax_err.tests cd7f4d27a2 hush: improve 2 testsuite tests 17 years ago
syntax_err_negate.right b6e6556b31 hush: improve parse_stream: does not require parsing context struct; 15 years ago
syntax_err_negate.tests a84420062a hush: support "! cmd | cmd" negation 16 years ago
tickquote1.right cafb2d195d hush: add tickquote1.tests from ash testsuite 7 years ago
tickquote1.tests cafb2d195d hush: add tickquote1.tests from ash testsuite 7 years ago
unicode1.right c538d5bcc3 hush: make ${#var} unicode-aware 9 years ago
unicode1.tests 10ad622dc2 Spelling fixes in comments, documentation, tests and examples 7 years ago
until1.right cd418a2670 hush: fix a bunch of obscure while/until/continue bugs 15 years ago
until1.tests 4ed67dd3d5 make hush-misc/*.tests executable 15 years ago
wait1.right 7e6753609d hush: fix "wait PID" 7 years ago
wait1.tests 7e6753609d hush: fix "wait PID" 7 years ago
wait2.right 7e6753609d hush: fix "wait PID" 7 years ago
wait2.tests 7e6753609d hush: fix "wait PID" 7 years ago
wait3.right 7e6753609d hush: fix "wait PID" 7 years ago
wait3.tests 7e6753609d hush: fix "wait PID" 7 years ago
wait4.right 02affb4afd hush: rework "wait %jobspec" to work in non-interactive shells too 7 years ago
wait4.tests 02affb4afd hush: rework "wait %jobspec" to work in non-interactive shells too 7 years ago
wait5.right 02affb4afd hush: rework "wait %jobspec" to work in non-interactive shells too 7 years ago
wait5.tests 02affb4afd hush: rework "wait %jobspec" to work in non-interactive shells too 7 years ago
wait6.right 840a4355d0 hush: fix "(sleep 1; exit 3) & sleep 2; echo $?; wait $!; echo $?" 7 years ago
wait6.tests 840a4355d0 hush: fix "(sleep 1; exit 3) & sleep 2; echo $?; wait $!; echo $?" 7 years ago
wait7.right d4dd48f294 shell: add testsuite for "wait $pid" waiting for other tasks 3 years ago
wait7.tests d4dd48f294 shell: add testsuite for "wait $pid" waiting for other tasks 3 years ago
while1.right 918a34b9e0 hush: fix "while false; ..." exitcode; add testsuites 16 years ago
while1.tests 918a34b9e0 hush: fix "while false; ..." exitcode; add testsuites 16 years ago
while2.right cd418a2670 hush: fix a bunch of obscure while/until/continue bugs 15 years ago
while2.tests 4ed67dd3d5 make hush-misc/*.tests executable 15 years ago
while3.right 00ae989ee5 hush: fix a corner case of empty "do \n done" structure 13 years ago
while3.tests 00ae989ee5 hush: fix a corner case of empty "do \n done" structure 13 years ago
while4.right 3beab83e4f hush: fix for "while false && true; do echo BUG; break; done". closes 6170 11 years ago
while4.tests 3beab83e4f hush: fix for "while false && true; do echo BUG; break; done". closes 6170 11 years ago
while_in_subshell.right f8d01d3f66 hush: fix a bug where we were requiring semicolon here: (cmd;) 16 years ago
while_in_subshell.tests f8d01d3f66 hush: fix a bug where we were requiring semicolon here: (cmd;) 16 years ago